# Chatbot ai Feature Settings

## Retrieves AI feature settings for a chatbot

> \
> \
> \*\*Required Permission:\*\* \`chatbots.settings.aifeatures.get\`\
> \
> \*\*Resource:\*\* \`chatbots/:chatbotId\`

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"Chatbot ai-feature-settings","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"security":[{},{}],"paths":{"/v1/chatbots/{chatbotId}/settings/ai":{"get":{"operationId":"ChatbotAiFeaturesController_getAiFeatures[1]_v1","parameters":[{"name":"chatbotId","required":true,"in":"path","description":"The ID of the chatbot.","schema":{"type":"string"}}],"responses":{"200":{"description":"The current AI feature settings.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiFeaturesSettingsResponseDto"}}}},"403":{"description":"Insufficient permissions."}},"summary":"Retrieves AI feature settings for a chatbot","tags":["Chatbot ai-feature-settings"],"description":"\n\n**Required Permission:** `chatbots.settings.aifeatures.get`\n\n**Resource:** `chatbots/:chatbotId`"}}},"components":{"schemas":{"AiFeaturesSettingsResponseDto":{"type":"object","properties":{"settings":{"description":"The AI features settings.","allOf":[{"$ref":"#/components/schemas/AiFeaturesSettingsDto"}]},"error":{"type":"string","description":"Optional error message."}}},"AiFeaturesSettingsDto":{"type":"object","properties":{"completionEnabled":{"type":"boolean","description":"Whether chat completion is enabled."},"completionPrompt":{"type":"string","description":"The prompt used for chat completion."},"formulationEnabled":{"type":"boolean","description":"Whether chat formulation is enabled."},"formulationPrompt":{"type":"string","description":"The prompt used for chat formulation."},"summaryEnabled":{"type":"boolean","description":"Whether chat summary is enabled."},"summaryPrompt":{"type":"string","description":"The prompt used for chat summary."},"updated":{"type":"string","description":"The last time the settings were updated."},"questionAnsweringEnabled":{"type":"boolean","description":"Whether question answering is enabled."},"questionAnsweringPrompt":{"type":"string","description":"The prompt used for question answering."},"questionAnsweringAiConfig":{"description":"The Ai configuration settings.","allOf":[{"$ref":"#/components/schemas/StepAiConfigDto"}]}},"required":["completionEnabled","completionPrompt","formulationEnabled","formulationPrompt","summaryEnabled","summaryPrompt","updated","questionAnsweringEnabled","questionAnsweringPrompt"]},"StepAiConfigDto":{"type":"object","properties":{"model":{"type":"number","description":"The AI model to use.\n\n- `1`: GEMINI_25_FLASH","enum":[1]},"thinkingBudget":{"type":"number","description":"Budget for the \"thinking\" process in tokens."},"seed":{"type":"number","description":"Seed for reproducible results."},"topP":{"type":"number","description":"Top-P value for generation."},"temperature":{"type":"number","description":"Temperature for generation creativity."}},"required":["model"]}}}}
```

## Updates AI feature settings for a chatbot

> \
> \
> \*\*Required Permission:\*\* \`chatbots.settings.aifeatures.edit\`\
> \
> \*\*Resource:\*\* \`chatbots/:chatbotId\`

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"Chatbot ai-feature-settings","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"security":[{},{}],"paths":{"/v1/chatbots/{chatbotId}/settings/ai":{"patch":{"operationId":"ChatbotAiFeaturesController_updateAiFeatures[1]_v1","parameters":[{"name":"chatbotId","required":true,"in":"path","description":"The ID of the chatbot.","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAiFeaturesRequestDto"}}}},"responses":{"200":{"description":"The current AI feature settings.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiFeaturesSettingsResponseDto"}}}},"403":{"description":"Insufficient permissions."}},"summary":"Updates AI feature settings for a chatbot","tags":["Chatbot ai-feature-settings"],"description":"\n\n**Required Permission:** `chatbots.settings.aifeatures.edit`\n\n**Resource:** `chatbots/:chatbotId`"}}},"components":{"schemas":{"UpdateAiFeaturesRequestDto":{"type":"object","properties":{"settings":{"description":"The object containing the settings to be updated.","allOf":[{"$ref":"#/components/schemas/UpdateAiFeaturesSettingsDto"}]}},"required":["settings"]},"UpdateAiFeaturesSettingsDto":{"type":"object","properties":{"completionEnabled":{"type":"boolean","description":"Enables/disables chat completion."},"completionPrompt":{"type":"string","description":"The prompt for chat completion."},"formulationEnabled":{"type":"boolean","description":"Enables/disables chat rephrasing."},"formulationPrompt":{"type":"string","description":"The prompt for chat rephrasing."},"summaryEnabled":{"type":"boolean","description":"Enables/disables chat summarization."},"summaryPrompt":{"type":"string","description":"The prompt for chat summarization."},"questionAnsweringEnabled":{"type":"boolean","description":"Enables/disables question answering."},"questionAnsweringPrompt":{"type":"string","description":"The prompt for question answering."},"questionAnsweringAiConfig":{"description":"Specific AI configuration for question answering.","allOf":[{"$ref":"#/components/schemas/StepAiConfigDto"}]}}},"StepAiConfigDto":{"type":"object","properties":{"model":{"type":"number","description":"The AI model to use.\n\n- `1`: GEMINI_25_FLASH","enum":[1]},"thinkingBudget":{"type":"number","description":"Budget for the \"thinking\" process in tokens."},"seed":{"type":"number","description":"Seed for reproducible results."},"topP":{"type":"number","description":"Top-P value for generation."},"temperature":{"type":"number","description":"Temperature for generation creativity."}},"required":["model"]},"AiFeaturesSettingsResponseDto":{"type":"object","properties":{"settings":{"description":"The AI features settings.","allOf":[{"$ref":"#/components/schemas/AiFeaturesSettingsDto"}]},"error":{"type":"string","description":"Optional error message."}}},"AiFeaturesSettingsDto":{"type":"object","properties":{"completionEnabled":{"type":"boolean","description":"Whether chat completion is enabled."},"completionPrompt":{"type":"string","description":"The prompt used for chat completion."},"formulationEnabled":{"type":"boolean","description":"Whether chat formulation is enabled."},"formulationPrompt":{"type":"string","description":"The prompt used for chat formulation."},"summaryEnabled":{"type":"boolean","description":"Whether chat summary is enabled."},"summaryPrompt":{"type":"string","description":"The prompt used for chat summary."},"updated":{"type":"string","description":"The last time the settings were updated."},"questionAnsweringEnabled":{"type":"boolean","description":"Whether question answering is enabled."},"questionAnsweringPrompt":{"type":"string","description":"The prompt used for question answering."},"questionAnsweringAiConfig":{"description":"The Ai configuration settings.","allOf":[{"$ref":"#/components/schemas/StepAiConfigDto"}]}},"required":["completionEnabled","completionPrompt","formulationEnabled","formulationPrompt","summaryEnabled","summaryPrompt","updated","questionAnsweringEnabled","questionAnsweringPrompt"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatcaptain.com/api/api-dokumentation/chatbot-ai-feature-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
